## mutter 44.3

=== debian/changelog ===
mutter (44.3-0ubuntu1.1) lunar-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Sep 2023 14:17:27 -0400

mutter (44.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2026544)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:22:18 -0400

mutter (44.2-0ubuntu1) lunar; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2022951)
    - Fix drag and drop for Qt applications (LP: #2013235)
  * Drop display-Set-compositor-selection-earlier patch: applied in new release
  * Drop 2 flaky tests patches: no longer necessary

  [ Daniel van Vugt ]
  * Update triple buffering patch to avoid NULL dereference on resume
    from suspend

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jun 2023 10:46:02 -0400

mutter (44.1-0ubuntu1) lunar; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2020225, LP: #2012717, LP: #2013216,
    LP: #2015861, LP: #2017097)
  * debian/libmutter-12-0.symbols: Add new symbols
  * Drop 3 patches applied in new release

  [ Daniel van Vugt ]
  * Update triple buffering patch for Mutter 44.1 (LP: #2017137)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 16:18:13 -0400

mutter (44.0-2ubuntu4.23.04.1) lunar; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Fix issue with Firefox opening black window in wayland sessions
    - d/p/display-Set-compositor-selection-earlier-on-XWayland.patch
      (LP: #1987976)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 24 Apr 2023 19:59:49 +0200
