=== debian/tests/control ===
Tests: libmutter-12-dev
Depends: build-essential,
         dbus-daemon,
         libmutter-12-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Test-Command: gnome-desktop-testing-runner mutter-12
Features: test-name=installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-12-tests
Restrictions: allow-stderr
