=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
@@ -23,11 +23,12 @@
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas-dev (>= 40~alpha),
                gtk-doc-tools (>= 1.15),
+               libei-dev (>= 1.0.0),
+               libeis-dev (>= 1.0.0),
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libcolord-dev,
                libdrm-dev (>= 2.4.83) [linux-any],
-               libegl-dev,
                libegl1-mesa-dev (>= 17),
                libfribidi-dev (>= 1.0.0),
                libgbm-dev (>= 17.3) [linux-any],
@@ -39,6 +40,7 @@
                libgnome-desktop-4-dev,
                libgraphene-1.0-dev (>= 1.10.2),
                libgtk-3-dev (>= 3.19.8) <!nocheck>,
+               libgtk-4-dev,
                libgudev-1.0-dev (>= 232) [linux-any],
                libice-dev,
                libinput-dev (>= 1.19.0) [linux-any],
@@ -50,6 +52,7 @@
                libpipewire-0.3-dev (>= 0.3.33) [linux-any],
                libsm-dev,
                libstartup-notification0-dev (>= 0.7),
+               libsysprof-4-dev (>= 3.40.1) [linux-any],
                libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
                libsystemd-dev (>= 212) [linux-any],
                libwacom-dev (>= 0.13) [linux-any],
@@ -74,6 +77,8 @@
                libxt-dev,
                meson (>= 0.55.0),
                pkg-config (>= 0.22),
+               python3-attr,
+               python3-jinja2,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                sysprof (>= 3.40.1) [linux-any],
@@ -89,8 +94,8 @@
 Standards-Version: 4.6.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/lunar
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/lunar
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: linux-any
@@ -117,13 +122,13 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-12-tests
+Package: mutter-13-tests
 Architecture: linux-any
 Depends: at-spi2-core,
          dbus-daemon,
          dmz-cursor-theme,
-         libmutter-12-0 (= ${binary:Version}),
-         libmutter-test-12 (= ${binary:Version}),
+         libmutter-13-0 (= ${binary:Version}),
+         libmutter-test-13 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          python3,
          python3-dbus,
@@ -146,11 +151,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-12
+Package: gir1.2-mutter-13
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libmutter-12-0 (= ${binary:Version}),
+Depends: libmutter-13-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -167,7 +172,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-12-0
+Package: libmutter-13-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -197,11 +202,11 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-12-dev
+Package: libmutter-13-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-mutter-12 (= ${binary:Version}),
+Depends: gir1.2-mutter-13 (= ${binary:Version}),
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
@@ -215,7 +220,7 @@
          libgraphene-1.0-dev (>= 1.9.3),
          libinput-dev (>= 1.19),
          libjson-glib-dev,
-         libmutter-12-0 (= ${binary:Version}),
+         libmutter-13-0 (= ${binary:Version}),
          libpango1.0-dev,
          libwayland-dev [linux-any],
          libx11-dev,
@@ -238,14 +243,14 @@
  .
  This package contains the development files.
 
-Package: libmutter-test-12
+Package: libmutter-test-13
 Section: libs
 Architecture: linux-any
-Depends: libmutter-12-0 (= ${binary:Version}),
+Depends: libmutter-13-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: gir1.2-metatest-12
+Provides: gir1.2-metatest-13
 Description: Test helper library for GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
