=== debian/tests/control ===
Tests: libmutter-13-dev
Depends: build-essential,
         dbus-daemon,
         libmutter-13-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Test-Command: gnome-desktop-testing-runner mutter-13
Features: test-name=installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-13-tests
Restrictions: allow-stderr
