## mutter 45.0

=== debian/changelog ===
mutter (45.0-3ubuntu3) mantic; urgency=medium

  * Update build autopkgtest to not run dh_auto_test (LP: #2038564)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Oct 2023 14:29:32 -0400

mutter (45.0-3ubuntu2) mantic; urgency=medium

  [ Jeremy Bícha ]
  * Cherry-pick 2 commits to fix vsync (LP: #2037235)

  [ Daniel van Vugt ]
  * Add patch to fix GNOME Shell getting SIGKILL'd under heavy load
    or screen locked under Wayland with AMD GPUs (LP: #2034619)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 11:00:14 -0400

mutter (45.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 18:43:15 -0400

mutter (45.0-3) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging from 44.5-2 in unstable.
    - Add versioned Build-Depends/Breaks to ensure Xwayland supports
      the -byteswappedclients option (Closes: #1050642)
    - All changes to the upstream code were already included in 45.0-1
      or earlier

  [ Daniel van Vugt ]
  * Add kms-crtc-Increase-default-deadline-evasion-to-800-microse.patch
    to fix cursor stuttering on low/normal frequency mice and touchpads
    (LP: #2033719). The same patch is already merged into 45.1 upstream.

  [ Jeremy Bícha ]
  * Add autopkgtest to ensure mutter is still buildable (LP: #1993226)
  * Cherry-pick 2 more future 45.1 commits to fix crashes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 18:38:45 -0400

mutter (45.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 11:27:59 -0400

mutter (45.0-2) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Update triple buffering patch to fix freezing
    seen when running apps full screen (LP: #2035016)

  [ Jeremy Bícha ]
  * Cherry-pick patch to fix changing input language in modal popups

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 10:50:00 -0400

mutter (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:33:45 -0400

mutter (45.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - Fix focus-follows-mouse regression (Closes: #1051780)
  * debian/libmutter-13-0.symbols: Add new symbol
  * Refresh patches

  [ Simon McVittie ]
  * Merge packaging from 44.4-3 in unstable

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch to match upstream.
    This fixes a leak when a monitor is unplugged, which may have been
    preventing discrete GPUs from entering a lower power state.
    It also moves the freeze fix by a couple of lines so as to match the
    current upstream merge proposals but I doubt that has any behavioural
    impact.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 10:21:08 -0400

mutter (45~rc-4) experimental; urgency=medium

  * Also skip the new "thread priority" test on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 Sep 2023 10:31:41 -0400

mutter (45~rc-3) experimental; urgency=medium

  * Fix sysprof Build-Depends for i386 again

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 23:02:07 -0400

mutter (45~rc-2) experimental; urgency=medium

  * Merge changes from 44.4-2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 22:16:34 -0400

mutter (45~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/control.in: Bump minimum libei to 1.0.901
  * debian/control.in: Bump minimum compatible GNOME Shell to 45~rc
  * debian/libmutter-13-0.symbols: Update
  * Add new Mtk sublibrary files to gir & dev install lists
  * Drop "45" and sysprof patches: applied in new release

  [ Daniel van Vugt ]
  * Add cogl-onscreen-glx-Forcefully-disable-cogl_onscreen_glx_ge.patch
    to work around https://launchpad.net/bugs/2034672

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 21:04:02 -0400

mutter (45~rc-0ubuntu2) mantic; urgency=medium

  * Add cogl-onscreen-glx-Forcefully-disable-cogl_onscreen_glx_ge.patch
    to work around https://launchpad.net/bugs/2034672

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 08 Sep 2023 10:40:24 -0400

mutter (45~rc-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libei to 1.0.901
  * debian/control.in: Bump minimum compatible GNOME Shell to 45~rc
  * debian/libmutter-13-0.symbols: Update
  * Add new Mtk sublibrary files to gir & dev install lists
  * Drop "45" and sysprof patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 15:29:01 -0400

mutter (45~beta.1-1ubuntu2) mantic; urgency=medium

  * Cherry-pick 2 proposed patches to build with sysprof 45
  * debian/control.in: Build-Depend on libsysprof-6-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:20:58 -0400

mutter (44.5-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to gnome-44 branch commit 44.5-6-g0173cfffcd
    - Backport a change from 45~alpha to fix an intermittent crash in the
      closeWithActiveWindows test (mutter#6808)
    - Backport a change from 45~beta to fix clicks not always taking effect
      (mutter#2918)

