=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas-dev (>= 40~alpha),
                gtk-doc-tools (>= 1.15),
-               libei-dev (>= 1.0.0),
-               libeis-dev (>= 1.0.0),
+               libei-dev (>= 1.0.901),
+               libeis-dev (>= 1.0.901),
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libcolord-dev,
@@ -52,8 +52,8 @@
                libpipewire-0.3-dev (>= 0.3.33) [linux-any],
                libsm-dev,
                libstartup-notification0-dev (>= 0.7),
-               libsysprof-4-dev (>= 3.40.1) [linux-any],
-               libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
+               libsysprof-6-dev [!hurd-i386 !i386],
+               libsysprof-capture-4-dev (>= 3.40.1) [!hurd-i386 !i386],
                libsystemd-dev (>= 212) [linux-any],
                libwacom-dev (>= 0.13) [linux-any],
                libwayland-dev (>= 1.21.0) [linux-any],
@@ -81,14 +81,14 @@
                python3-jinja2,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
-               sysprof (>= 3.40.1) [linux-any],
+               sysprof [!hurd-i386 !i386],
                udev [linux-any],
                wayland-protocols (>= 1.31) [linux-any],
                xauth <!nocheck>,
                xcvt [linux-any],
                xkb-data,
                xvfb,
-               xwayland [linux-any],
+               xwayland (>= 2:23.1.0) [linux-any],
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -135,7 +135,7 @@
          python3-dbusmock,
          xauth,
          xvfb,
-         xwayland [linux-any],
+         xwayland (>= 2:23.1.0) [linux-any],
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Tests for GNOME's window manager library
@@ -186,9 +186,10 @@
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
         gnome-settings-daemon (<< 3.31.101),
-        gnome-shell (<< 44~rc),
+        gnome-shell (<< 45~rc),
         libgtk-3-0 (<< 3.24.33-2~),
-        libgtk-4-1 (<< 4.6.3+ds1-2~)
+        libgtk-4-1 (<< 4.6.3+ds1-2~),
+        xwayland (<< 2:23.1.0),
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
