=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,10 @@
 	-Dremote_desktop=false
 endif
 
+ifneq ($(filter i386,$(DEB_HOST_ARCH)),)
+CONFFLAGS +=-Dprofiler=false
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(CONFFLAGS)
@@ -56,6 +60,7 @@
 
 # Don't run the tests on mips etc. since they either time out or fail too
 # much, blocking migration to testing.
+# Please keep this list in sync with debian/tests/installed-tests
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	glib-compile-schemas $(BUILDDIR)/data
