## mutter 45.2

=== debian/changelog ===
mutter (45.2-0ubuntu5) mantic; urgency=medium

  * Replace tests-Disable-restore-size-test.patch with
    Mark-several-additional-tests-as-flaky.patch from Debian to avoid
    wasting time on rebuilds for known flaky test cases.
  * Add compositor-sync-ring-Allow-the-gpu_fence-to-be-moved.patch to
    fix lag and freezes on the Nvidia Xorg driver (LP: #2059847)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 08 Apr 2024 17:47:26 +0800

mutter (45.2-0ubuntu4) mantic; urgency=medium

  [ Kai-Heng Feng ]
  * Fix mirror mode on reduced blanking panel. (LP: #2051074)

  [ Daniel van Vugt ]
  * Add compositor-x11-Sync-again-at-the-end-of-before_paint.patch
    to fix incomplete redraws in X11 virtual machines (LP: #2054510)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 22 Feb 2024 16:32:33 +0800

mutter (45.2-0ubuntu3) mantic; urgency=medium

  [ Jeremy Bícha ]
  * Revert roll back to 45.0-3ubuntu3.1

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch
    with a fix to the frame clock for a regression inherited from
    45.1 (8f27ebf8) whereby it would enter triple buffering mode
    prematurely. And because it was premature, the clock would soon
    notice that triple buffering isn't required and drop back to double
    buffering. But the switch from triple to double buffering stalls the
    client frame queue by one frame which for some clients like Firefox
    is seen as a frame skip. (LP: #2046360)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 08:28:40 -0500

mutter (45.2-0ubuntu2~really45.0) mantic; urgency=medium

  * Roll back to address regression LP: #2046360.
    - Full revert to mutter 45.0-3ubuntu3.1, with revert implemented under
      debian/patches to avoid having to keep around confusing version numbers
      for very long.
    - mutter 45.2 introduces new library symbols vs 45.0 but no packages
      have picked up dependencies on these symbols yet via rebuilds, and all
      binary packages built from mutter source have a strict versioned
      dependency on the library package; so a straight revert of the symbols
      file is possible without the need to add any additional Breaks.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Dec 2023 19:44:15 -0800

mutter (45.2-0ubuntu1) mantic; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2043000)
    - Fix entering capital accent letters with Caps Lock (LP: #2035076)
    - Fix Wacom on X11 issues (LP: #2043027)
  * debian/libmutter-13-0.symbols: Add new symbols
  * Drop patches applied in new release
  * Rebase X11 fractional scaling patch

  [ Daniel van Vugt ]
  * Rebase triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 13:45:25 -0500

mutter (45.0-3ubuntu3.1) mantic; urgency=medium

  * Cherry pick 4 commits to fix SIGKILL on lockscreen. (LP: #2034619)
  * Drop kms-impl-device-Inhibit-deadline-timer-on-amdgpu.patch

 -- Mario Limonciello <superm1@gmail.com>  Thu, 26 Oct 2023 10:27:44 -0500
